Skip to content

# Interface: KubeObjectMenuProps ‹T›

## Type parameters

▪ T: KubeObject

## Hierarchy

↳ MenuActionsProps

↳ KubeObjectMenuProps

## Index

### Properties

- autoCloseOnSelect
- className
- editable
- object
- removable
- removeConfirmationMessage
- toolbar
- triggerIcon

### Methods

- removeAction
- updateAction

## Properties

### `Optional` autoCloseOnSelect

• autoCloseOnSelect? : boolean

Inherited from MenuActionsProps.autoCloseOnSelect

Defined in src/renderer/components/menu/menu-actions.tsx:16

### `Optional` className

• className? : string

Inherited from MenuActionsProps.className

Defined in src/renderer/components/menu/menu-actions.tsx:14

### `Optional` editable

• editable? : boolean

Defined in src/renderer/components/kube-object/kube-object-menu.tsx:12

### object

• object: T

Defined in src/renderer/components/kube-object/kube-object-menu.tsx:11

### `Optional` removable

• removable? : boolean

Defined in src/renderer/components/kube-object/kube-object-menu.tsx:13

### `Optional` removeConfirmationMessage

• removeConfirmationMessage? : React.ReactNode | function

Inherited from MenuActionsProps.removeConfirmationMessage

Defined in src/renderer/components/menu/menu-actions.tsx:18

### `Optional` toolbar

• toolbar? : boolean

Inherited from MenuActionsProps.toolbar

Defined in src/renderer/components/menu/menu-actions.tsx:15

### `Optional` triggerIcon

• triggerIcon? : string | IconProps | React.ReactNode

Inherited from MenuActionsProps.triggerIcon

Defined in src/renderer/components/menu/menu-actions.tsx:17

## Methods

### `Optional` removeAction

▸ removeAction(): void

Inherited from MenuActionsProps.removeAction

Defined in src/renderer/components/menu/menu-actions.tsx:20

Returns: void

### `Optional` updateAction

▸ updateAction(): void

Inherited from MenuActionsProps.updateAction

Defined in src/renderer/components/menu/menu-actions.tsx:19

Returns: void